Description
CanaryEvent is the Schema for the CanaryEvent API
Type
object

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject

CanaryDeliverySpec defines the desired state of CanaryDelivery

.spec

Description
CanaryDeliverySpec defines the desired state of CanaryDelivery
Type
object
PropertyTypeDescription
currentRecordIdinteger

current max record id

recordsobject

CanaryRecord list for canary

.spec.records

Description
CanaryRecord list for canary
Type
object
Required
namespacestartTime
PropertyTypeDescription
currentWeightinteger
endTimestring
canarydeploystring
configtracksarray
primarydeploystring
eventsarray
idinteger

Id for this record

namestring
namespacestring
startTimestring
statusstring

.spec.records.configtracks

Type
array

.spec.records.configtracks[]

Type
object
Required
configtypename
PropertyTypeDescription
canaryyamlstring
configtypestring

config type configmap or secret

namestring

ConfigTracks

primaryyamlstring

.spec.records.events

Type
array

.spec.records.events[]

Description
CanaryEvent is used for events of canary
Type
object
PropertyTypeDescription
eventNamestring

name for the event

eventTypestring

event type like canary ab bluegreen

messagestring

the message flagger report

phasestring

Phase

timestampstring

the event generate time

weightinteger

current weight

API Endpoints

The following API endpoints are available:

  • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/canaryevents
    • DELETE: delete collection of CanaryEvent
    • GET: list objects of kind CanaryEvent
    • POST: create a new CanaryEvent
  • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/canaryevents/{name}
    • DELETE: delete the specified CanaryEvent
    • GET: read the specified CanaryEvent
    • PATCH: partially update the specified CanaryEvent
    • PUT: replace the specified CanaryEvent

/apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/canaryevents

HTTP method
DELETE
Description
delete collection of CanaryEvent
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind CanaryEvent
HTTP responses
HTTP codeResponse body
200 - OKCanaryEventList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new CanaryEvent
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyCanaryEvent schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKCanaryEvent schema
201 - CreatedCanaryEvent schema
202 - AcceptedCanaryEvent schema
401 - UnauthorizedEmpty

/apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/canaryevents/{name}

HTTP method
DELETE
Description
delete the specified CanaryEvent
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified CanaryEvent
HTTP responses
HTTP codeResponse body
200 - OKCanaryEvent schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified CanaryEvent
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKCanaryEvent schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified CanaryEvent
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyCanaryEvent schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKCanaryEvent schema
201 - CreatedCanaryEvent schema
401 - UnauthorizedEmpty